## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel
Interface SybaseasasqlmodelFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SybaseasasqlmodelFactoryImpl

    public interface SybaseasasqlmodelFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SybaseasasqlmodelPackage`

Field Summary
`static SybaseasasqlmodelFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`SybaseASADatabase` `createSybaseASADatabase()` Returns a new object of class 'Sybase ASA Database'.
`SybaseASAForeignKey` `createSybaseASAForeignKey()` Returns a new object of class 'Sybase ASA Foreign Key'.
`SybaseASAIndex` `createSybaseASAIndex()` Returns a new object of class 'Sybase ASA Index'.
`SybaseASATable` `createSybaseASATable()` Returns a new object of class 'Sybase ASA Table'.
`SybaseASATempTable` `createSybaseASATempTable()` Returns a new object of class 'Sybase ASA Temp Table'.
`SybaseasasqlmodelPackage` `getSybaseasasqlmodelPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SybaseasasqlmodelFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSybaseASADatabase

    SybaseASADatabase createSybaseASADatabase()

  Returns a new object of class 'Sybase ASA Database'.

  Returns:
    a new object of class 'Sybase ASA Database'.

### createSybaseASATable

    SybaseASATable createSybaseASATable()

  Returns a new object of class 'Sybase ASA Table'.

  Returns:
    a new object of class 'Sybase ASA Table'.

### createSybaseASAForeignKey

    SybaseASAForeignKey createSybaseASAForeignKey()

  Returns a new object of class 'Sybase ASA Foreign Key'.

  Returns:
    a new object of class 'Sybase ASA Foreign Key'.

### createSybaseASAIndex

    SybaseASAIndex createSybaseASAIndex()

  Returns a new object of class 'Sybase ASA Index'.

  Returns:
    a new object of class 'Sybase ASA Index'.

### createSybaseASATempTable

    SybaseASATempTable createSybaseASATempTable()

  Returns a new object of class 'Sybase ASA Temp Table'.

  Returns:
    a new object of class 'Sybase ASA Temp Table'.

### getSybaseasasqlmodelPackage

    SybaseasasqlmodelPackage getSybaseasasqlmodelPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.